:root{
    --navigation-offset: calc(var(--header-height) + var(--top-bar-height, 0px));

}

.accordion-body ol, .message-from-seller ol{
    list-style: decimal;
    padding-left: 20px;
}

.accordion-body ul, .message-from-seller ul{
    list-style: disc;
    padding-left: 20px;
}

.accordion-body a,.message-from-seller a{
    text-decoration: underline;
}

.accordion-body h1, .accordion-body h2, .accordion-body h3, .accordion-body h4, .accordion-body h5, .accordion-body h6,
.message-from-seller h1,.message-from-seller h2, .message-from-seller h3, .message-from-seller h4, .message-from-seller h5, .message-from-seller h6{
    font-size:revert;
}

/* FOR APPS JS */
.d-none {
    display: none;
}

.text-wrap{
    overflow-wrap: anywhere;
}

.disabled {
    pointer-events: none;
}
/* BUY NOW AND ADD CART BUTTONS */
.basis-full {
    flex-basis: 100%;
}

/* basket Modal option section */
.cart__options {
    width: 100%;
    max-width: 262px;
    margin-top: 2px;
    font-weight: 600;
    font-size: 12px;
    line-height: 15px;
    color: rgba(105, 105, 105, .6);
}

.gap-3 {
    gap: 0.75rem;
}
.gap-6 {
    gap: 1.5rem;
}

/* Extra added buttons on confirmation and product pages */
.button-buy-now {
    background-color: #fff;
    color: rgb(165 157 178/var(--tw-bg-opacity));
    border: 1px solid rgb(165 157 178/var(--tw-bg-opacity));
}

.button-buy-now:hover {
    color: #fff;
}

.justify-end {
    justify-content: flex-end;
}

/* BASKET SCROLL */
.overflow-y-auto {
    overflow-y: auto;
}

.max-h-screen {
    max-height: 100vh;
}

.cart__scroll-wrapper::-webkit-scrollbar {
    width: 6px;
}

.cart__scroll-wrapper::-webkit-scrollbar-thumb {
    background-color: rgb(165 157 178);
    border-radius: 9999px;
}

.cart__scroll-wrapper::-webkit-scrollbar-track {
    border-radius: 9999px;
}

/* Coupon Code on Payment Page */

.discount-section {
    display: flex;
    flex-direction: column;
    gap: 7px;
    padding-top: 28px;
}

.discount-section div {
    position: relative;
}

.discount-section input {
    padding-right: calc(2em + 4rem);
}

.discount-section button {
    position: absolute;
    top: 25%;
    right: 4%;
    font-weight: 700;
    font-size: 1.125rem;
    color: #6f5a8e;
}
.discount-section button:disabled{
    opacity: 0.5;
}

/*  PAYMENT PAGE */
.is-invalid {
    border-color: #af1730;
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 2.25rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.is-invalid-checkbox {
    border-color: #af1730;
}

/*  CONFIRMATION PAGE */

.cf-buttons-mobile {
    display: none;
}

/*  TRACK ORDER PAGE */
.track-search-bar {
    justify-content: flex-end;
    flex-wrap: wrap;
    gap: 1.125rem;
}

.px-10 {
    padding-top: 10px;
    padding-bottom: 10px;
}

/* BUILDER ORDERS */

.builder-main-layout {
    display: flex;
    -webkit-box-direction: normal;
    -webkit-box-orient: vertical;
    flex-direction: column;
}

.order-0 {
    order: 0;
}

.order-1 {
    order: 1;
}

.order-2 {
    order: 2;
}

.order-3 {
    order: 3;
}

.order-4 {
    order: 4;
}

.order-5 {
    order: 5;
}

.order-6 {
    order: 6;
}

.order-7 {
    order: 7;
}

.order-8 {
    order: 8;
}
/* ELASTIC SEARCH */
.shopier-es{
    width: 330px;
}
.shopier-es—form{
    width: 100%;
    max-width: 150px;
    transition: 0.5s ease;
}
.big-size{
    max-width: 330px;
}
.form-container{
    display: flex;
    align-items: center;
    transition: 0.5s ease;
    position:relative;
    width: 100%;
}
.shopier-es--input, #shopier-es--button{
    transition: 0.5s ease;
}

.shopier-es--input{
    width: 100%;
}

.search-modal__results-suggestion{
    margin-top: 12px;
}
.shopier-template--elastic-search-body{
    width: 330px;
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1);
    border: 1px solid rgb(228 228 228/var(--tw-border-opacity));
    border-top-width: 0;
}
.shopier-es--results{
    max-height: 110px;
}
.shopier-es--result{
    list-style: none;
    margin-bottom: 12px;
    display: flex;
    gap: 24px;
    justify-content: space-between;
    align-items: center;
    padding: 0 14px;
    cursor: pointer;

}

.shopier-es--result .shopier-es--result-category{
    color: #6f5a8e;
    font-weight: 700;
}
.kvkk-checked-box {
    flex-shrink: 0;
    background-position: center;
}

@media (max-width: 1024px) {
    /*  CONFIRMATION PAGE */
    .cf-buttons {
        display: none;
    }

    .cf-buttons-mobile {
        display: block;
    }
    .shopier-es--result .shopier-es--result-name{
        white-space: wrap;
    }

}


/* Above 1024 px */
@media (min-width: 1024px) {
    .lg\:mt-32 {
        margin-top: 8rem;
    }

}
/* Under 1024 px */
@media (max-width: 1024px){
    .shopier-es{
        width: auto;
    }
}

@media (min-width: 840px) {
    /* MODAL WIDTH */
    .modal-lg {
        max-width: 800px;
    }

}

@media (max-width: 456px) {
    .sm-block {
        display: block;
    }

    .lg-mt-5 {
        margin-top: 1.25rem;
    }

}

.icon-angle-left--primary {
    background-image: url(../svgs/icon-left.svg);
}

.icon-angle-right--primary {
    background-image: url(../svgs/icon-right.svg);
}

.icon-close--secondary {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTYgNkwxOCAxOCIgc3Ryb2tlPSJ3aGl0ZSIgc3Ryb2tlLXdpZHRoPSIxLjUiLz4KPHBhdGggZD0iTTE4IDZMNiAxOCIgc3Ryb2tlPSJ3aGl0ZSIgc3Ryb2tlLXdpZHRoPSIxLjUiLz4KPC9zdmc+Cg==);
}


#defer-discount-notification{
    cursor: pointer;
}

.buyer-basket {
    --name-w: 17rem;
    --col-price-w: 7rem;
    --col-total-w: 10rem;
}

.buyer-basket .cart-item__meta {
    margin-left: 0 !important;
}

.border-0 {
    border: none !important;
}

.basket-product-option-btn {
    border-color: rgb(217 217 217);
    padding-left: .5rem;
    padding-right: .5rem;
    border-width: 1px;
}

.icon-confirmation {
    display: inline-block;
    width: 50px;
    height: 29px;
    background-size: contain;
    background-repeat: no-repeat;
    flex-shrink: 0;
}

.credit-card-icon {
    height: 29px;
}

.bg-troy {
    background-image: url('../images/troy.svg');
}

.bg-visa {
    background-image: url('../images/visa.svg');
}

.bg-mastercard {
    background-image: url('../images/mastercard.svg');
}

.bg-amex {
    background-image: url('../images/amex.svg');
}


.shop-red-logo {
    background-image: url(../../../../assets/shopier_legacy/images/show-red.svg);
    background-repeat: no-repeat;
    display: inline-block;
    height: 16px;
    margin-left: .5ch;
    margin-right: .5ch;
    vertical-align: middle;
    width: 36px
}

.bg-download-qr {
    --height: 85px;
    --width: 85px;
    background-image: url(../../../../assets/shopier_legacy/images/download-qr.svg);
    background-size: var(--width) var(--height);
    height: var(--height);
    width: var(--width);
}

.bg-download-apple, .bg-download-google, .bg-download-apple-black, .bg-download-google-black {
    --height: 37px;
    --width: 124.86px;
    background-repeat: no-repeat;
    background-size: var(--width) var(--height);
    height: var(--height);
    vertical-align: middle;
    width: var(--width);
}

.bg-download-apple-black {
    background-image: url(../../../../assets/shopier_legacy/images/download-apple-black.svg);
}

.bg-download-google-black {
    background-image: url(../../../../assets/shopier_legacy/images/download-google-black.svg);
}

.bg-download-apple {
    background-image: url(../../../../assets/shopier_legacy/images/download-apple.svg);
}

.bg-download-google {
    background-image: url(../../../../assets/shopier_legacy/images/download-google.svg);
}

.bg-modal-download-qr {
    --height: 250px;
    --width: 250px;
    background-image: url(../../../../assets/shopier_legacy/images/modal-download-qr.svg);
    background-size: var(--width) var(--height);
    height: var(--height);
    width: var(--width);
}
.ml-4{
    margin-left: 1rem;
}

.modal-signup{
    outline: none !important;
}

.btn--primary:disabled {
    color: #fff;
    border: none;
}

.word-breaks{
    word-break: break-word;
}

.track-order-m-0{
    margin: 0px 10px !important;
}

.badge-left{
    top: 1rem !important;
    left: 1rem !important;
    right: auto !important;
}
.toast-container {
    pointer-events: none !important;
}

.toast-container .toast {
    pointer-events: auto !important;
}

.cart__price--discounted {
    color: var(--theme-purple-2);
}

@media (min-width: 1024px) {
    .cart__price--discounted {
        color: inherit;
    }
}

.m-0 {
    margin: 0 !important;
}

.product-option-button-wrapper {
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    right: -15px;
}

.whitespace-nowrap {
    white-space: nowrap;
}

.products-link-catalog-header {
    gap: 16px;
}

.products-link-catalog-title {
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    color: #1f1f1f;
}

.products-count-text {
    min-width: 70px;
    text-align: right;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    color: #878787;
}

.shopier-app--border-1{
    border: 1px solid #a59db2;
}

.shopier-app--border-1[data-app-upload-file],
.shopier-app--border-1[data-app-download-file]{
    border: none !important;
}

.shopier-app--mx-3{
    margin-left: 0px !important;
}

.shopier-app--download-container > .shopier-app--button,
.shopier-app--download-container .shopier-app--span{
    white-space:nowrap;
}